The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Yum Update / Perl problem

Discussion in 'General Discussion' started by ramonster, Dec 17, 2008.

  1. ramonster

    ramonster Member

    Joined:
    Mar 4, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    For a while now my Yum Updates have been failing with the output below, I've tried the cpanel perl 5.8.8 installer to no avail, not sure where to go to resolve this issue, any help and suggestions much appreciated!

    Also tried rebuilding the rpmdb and tried to manually install some of the listed modules (perl - strict) in cpanel but got the error at the bottom of the post.

    Thanks.

    Yum Update Output/fail:
    Error: Missing Dependency: perl(strict) is needed by package rpm-build
    Error: Missing Dependency: perl(File::Find) is needed by package cvs
    Error: Missing Dependency: perl >= 0:5.006001 is needed by package rpm-build
    Error: Missing Dependency: perl(IO::File) is needed by package cvs
    Error: Missing Dependency: perl(getopts.pl) is needed by package cvs
    Error: Missing Dependency: perl(File::Basename) is needed by package rpm-build
    Error: Missing Dependency: perl(Getopt::Long) is needed by package rpm-build
    Error: Missing Dependency: /usr/bin/perl is needed by package samba-client
    Error: Missing Dependency: /usr/bin/perl is needed by package cvs
    Error: Missing Dependency: perl(Time::localtime) is needed by package logwatch
    Error: Missing Dependency: perl(strict) is needed by package cvs
    Error: Missing Dependency: perl(Exporter) is needed by package logwatch
    Error: Missing Dependency: /usr/bin/perl is needed by package xorg-x11-font-utils
    Error: Missing Dependency: perl(File::Basename) is needed by package cvs
    Error: Missing Dependency: /usr/bin/perl is needed by package isdn4k-utils
    Error: Missing Dependency: /usr/bin/perl is needed by package logwatch
    Error: Missing Dependency: perl(File::Path) is needed by package cvs
    Error: Missing Dependency: perl(strict) is needed by package logwatch
    Error: Missing Dependency: perl(Getopt::Long) is needed by package cvs
    Error: Missing Dependency: perl(Getopt::Long) is needed by package logwatch
    Error: Missing Dependency: perl(Socket) is needed by package logwatch
    Error: Missing Dependency: perl(POSIX) is needed by package logwatch
    Error: Missing Dependency: perl(Cwd) is needed by package cvs
    Error: Missing Dependency: perl is needed by package up2date
    Error: Missing Dependency: /usr/bin/perl is needed by package rpm-build


    Output from trying to install perl strict module from cpanel:
    Running install for module 'strict'
    The most recent version "1.04" of the module "strict"
    is part of the perl-5.10.0 distribution. To install that, you need to run
    force install strict --or--
    install R/RG/RGARCIA/perl-5.10.0.tar.gz
    CPAN: Time::HiRes loaded ok (v1.9715)
    Running make install
    Make had returned bad status, install seems impossible
    perlmod--Install done
     
  2. bctrainers

    bctrainers Member

    Joined:
    Jul 9, 2008
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    I'm actually having a similar issue myself! Any help on this would be appreciated. :)
     
  3. yolau

    yolau Active Member

    Joined:
    Sep 1, 2008
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    make sure that you are actually running perl 5.8.8
     
  4. ramonster

    ramonster Member

    Joined:
    Mar 4, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    perl -v reports I am running 5.8.8 yet yum still throws these dependency issues. As mentioned I tried to install the modules from the cpanel install section but there is an error as shown above.

    Glad to see I'm not the only person, although its bad you've got the problem too!

    Any gurus with a fix? :D
     
Loading...

Share This Page